﻿Public Class OrderDetail

    Private OrderDetailsBindingSource As BindingSource

    Public Sub New(ByVal bs As BindingSource)
        InitializeComponent()
        OrderDetailsBindingSource = bs
    End Sub

    Private Sub OderDetail_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.OrderIDTextBox.DataBindings.Add("Text", OrderDetailsBindingSource, "OrderID")
        Me.ProductIDTextBox.DataBindings.Add("Text", OrderDetailsBindingSource, "ProductID")
        Me.UnitPriceTextBox.DataBindings.Add("Text", OrderDetailsBindingSource, "UnitPrice")
        Me.QuantityTextBox.DataBindings.Add("Text", OrderDetailsBindingSource, "Quantity")
        Me.DiscountTextBox.DataBindings.Add("Text", OrderDetailsBindingSource, "Discount")
    End Sub

    Private Sub AcceptIt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AcceptIt.Click
        OrderDetailsBindingSource.EndEdit()
        Me.DialogResult = Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub CancelIt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CancelIt.Click
        OrderDetailsBindingSource.CancelEdit()
        Me.DialogResult = Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

End Class